%define module ejson

Name:           python-%{module}
Version:        0.1.6
Release:        %mkrel 1
Summary:        Extensible json serializer/deserializer library
Group:          Development/Python
License:        GPLv3
URL:            https://pypi.python.org/pypi/ejson
Source0:        https://pypi.python.org/packages/source/e/ejson/%{module}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
There are countless scenarios that we need to exchange data between
different systems, implemented in different languages and technologies.
Even in the same system, when implementing data exchange between the
backend and the frontend we face the need to convert the language data
types to another format and then do the oposite when the data arrives in
the other side of the wire.

A very simple and flexible format that seems to fit most of our needs is
the JavaScript Object Notation, or simple `json`. It is very hard to
find a programming language these days that does not support it, even
the low level ones, like C, C++, etc.

Json is enough when we need to exchange data types like integers,
doubles, strings, lists and hash tables. The problem starts when we need
to exchange a complex data type. And it's the exact aim of this
document: providing an API to extend the `json` library to make it easy
to register new serializers and new deserializers.

%package -n python3-%{module}
Summary:        Extensible json serializer/deserializer library
Group:          Development/Python
Requires:       python3
BuildArch:      noarch

%description -n python3-%{module}
Extensible json serializer/deserializer library.


%prep
%setup -q -n ejson-%{version}

cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --root %{buildroot}
popd

%files
%defattr(-,root,root,-)
%doc
%{python_sitelib}/%{module}/
%{python_sitelib}/%{module}*.egg-info


%files -n python3-%{module}
%doc
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}*.egg-info


%changelog
* Fri Sep 04 2015 Ken <lxgator at gmail.com> 0.1.6-1pclos2015
- Initial pkg
